Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class WorkflowContext

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.WorkflowContext

All Implemented Interfaces:
  Serializable

public class WorkflowContext
extends Object
implements Serializable

This class should be used only by the classes that implement the Workflow interface.

See Also:
  Serialized Form

Constructor Summary
`WorkflowContext()` This class should be used only by the classes that implement the Workflow interface.
`WorkflowContext(String state)` This class should be used only by the classes that implement the Workflow interface.

Method Summary
`String` | `getState()` This method should be used only by the classes that implement the Workflow interface.
`void` | `setState(String state)` This method should be used only by the classes that implement the Workflow interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkflowContext

    public WorkflowContext()

  This class should be used only by the classes that implement the Workflow interface. The default constructor is TopLink requirement

### WorkflowContext

    public WorkflowContext(String state)

  This class should be used only by the classes that implement the Workflow interface.

Method Detail

### getState

    public String getState()

  This method should be used only by the classes that implement the Workflow interface.

### setState

    public void setState(String state)

  This method should be used only by the classes that implement the Workflow interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved